﻿using System.Text;

namespace OAI.Server.Catalog {
	public class Record {
		public Header Header { get; set; }
		public string Metadata { get; set; }
		public string About { get; set; }

		public override string ToString() {
			var sb = new StringBuilder();

			sb.Append("<record>");
			sb.Append(Header);

			if (Metadata != null)
			{
				sb.Append("<metadata>");
				sb.Append(Metadata);
				sb.Append("</metadata>");
			}

			if (About != null) {
				sb.Append("<about>");
				sb.Append(About);
				sb.Append("</about>");
			}

			sb.Append("</record>");

			return sb.ToString();
		}
	}
}
