﻿using System.Text;

namespace OAI.Server.Catalog {
	public class Set {
		public string Spec { get; set; }
		public string Name { get; set; }
		public string Description { get; set; }

		public override string ToString() {
			var sb = new StringBuilder();

			sb.Append("<set>");

			sb.Append("<setSpec>");
			sb.Append(Spec);
			sb.Append("</setSpec");

			sb.Append("<setName>");
			sb.Append(Name);
			sb.Append("</setName>");

			if (Description != null) {
				sb.Append("<setDescription>");
				sb.Append(Description);
				sb.Append("</setDescription>");
			}

			sb.Append("</set>");

			return sb.ToString();
		}
	}
}
