﻿SELECT ${fields} from kontext
left outer join attribut_text as attribut_text_undersokare on kontext.kid = attribut_text_undersokare.objid and attribut_text_undersokare.class = 'K' and attribut_text_undersokare.attribut= 'Undersökare'
left outer join attribut_text as attribut_text_zon on kontext.kid = attribut_text_zon.objid and attribut_text_zon.class = 'K' and attribut_text_zon.attribut= 'Zon'
left outer join attribut_text as attribut_text_yttr_grav on kontext.kid = attribut_text_yttr_grav.objid and attribut_text_yttr_grav.class = 'K' and attribut_text_yttr_grav.attribut = 'Yttre gravskick'
left outer join attribut_text as attribut_text_yttr_beskr on kontext.kid = attribut_text_yttr_beskr.objid and attribut_text_yttr_beskr.class = 'K' and attribut_text_yttr_beskr.attribut = 'Yttre beskrivning'
left outer join attribut_text as attribut_text_inr_grav on kontext.kid = attribut_text_inr_grav.objid and attribut_text_inr_grav.class = 'K' and attribut_text_inr_grav.attribut = 'Inre gravskick'
left outer join attribut_text as attribut_text_inr_beskr on kontext.kid = attribut_text_inr_beskr.objid and attribut_text_inr_beskr.class = 'K' and attribut_text_inr_beskr.attribut = 'Inre beskrivning'
left outer join attribut_text as attribut_text_abs_dat_min on kontext.kid = attribut_text_abs_dat_min.objid and attribut_text_abs_dat_min.class = 'K' and attribut_text_abs_dat_min.attribut = 'Absolut datering min'
left outer join attribut_text as attribut_text_abs_dat_max on kontext.kid = attribut_text_abs_dat_max.objid and attribut_text_abs_dat_max.class = 'K' and attribut_text_abs_dat_max.attribut = 'Absolut datering max'
left outer join attribut_text as attribut_text_rel_dat_min on kontext.kid = attribut_text_rel_dat_min.objid and attribut_text_rel_dat_min.class = 'K' and attribut_text_rel_dat_min.attribut = 'Relativ datering min'
left outer join datering as datering_rel_min on attribut_text_rel_dat_min.värde = cast(datering_rel_min.kod as varchar(3))
left outer join attribut_text as attribut_text_rel_dat_max on kontext.kid = attribut_text_rel_dat_max.objid and attribut_text_rel_dat_max.class = 'K' and attribut_text_rel_dat_max.attribut = 'Relativ datering max'
left outer join datering as datering_rel_max on attribut_text_rel_dat_max.värde = cast(datering_rel_max.kod as varchar(3))
left outer join attribut_text as attribut_text_und_aar on kontext.kid = attribut_text_und_aar.objid and attribut_text_und_aar.class = 'K' and attribut_text_und_aar.attribut = 'Undersökningsår'
left outer join attribut_text as attribut_text_person on kontext.kid = attribut_text_person.objid and attribut_text_person.class = 'K' and attribut_text_person.attribut = 'Person'
left outer join attribut_text as attribut_text_libris on kontext.kid = attribut_text_libris.objid and attribut_text_libris.class = 'K' and attribut_text_libris.attribut = 'Libris-auth'
LEFT OUTER JOIN Fyndlokal ON fyndlokal.lokalid = kontext.lokalid
LEFT OUTER JOIN Landskap on Fyndlokal.landskap_id = Landskap.id
LEFT OUTER JOIN Socken on Fyndlokal.socken_kod = Socken.sn_kd
LEFT OUTER JOIN Kommun on Fyndlokal.kom_id = Kommun.kom_id
LEFT OUTER JOIN Län ON Kommun.lan_kd = Län.lan_id
LEFT OUTER JOIN Land on case when Fyndlokal.land IS NULL or Fyndlokal.land = '' then 'Sverige' else Fyndlokal.land end = Land.namn
LEFT OUTER JOIN Object_coordinates ON Fyndlokal.lokalid = Object_coordinates.objectid 
where kontext.kId in (${headers})