﻿SELECT ${fields} FROM Föremålsdata
LEFT OUTER JOIN Datering AS Datering_Min on Föremålsdata.rel_datering_min = Datering_Min.kod
LEFT OUTER JOIN Datering AS Datering_Max on Föremålsdata.rel_datering_max = Datering_Max.kod
LEFT OUTER JOIN Fyndlokal ON Föremålsdata.lokalid = Fyndlokal.lokalid
LEFT OUTER JOIN Landskap on Fyndlokal.landskap_id = Landskap.id
LEFT OUTER JOIN Socken on Fyndlokal.socken_kod = Socken.sn_kd
LEFT OUTER JOIN Kommun on Fyndlokal.kom_id = Kommun.kom_id
LEFT OUTER JOIN Län ON Kommun.lan_kd = Län.lan_id
LEFT OUTER JOIN Land on case when Fyndlokal.land IS NULL or Fyndlokal.land = '' then 'Sverige' else Fyndlokal.land end = Land.namn
LEFT OUTER JOIN Object_coordinates ON Fyndlokal.lokalid = Object_coordinates.objectid and Object_coordinates.class = 'L'
LEFT OUTER JOIN Värdedefinition ON CAST(Föremålsdata.samlomr as varchar(10)) = Värdedefinition.kod AND Värdedefinition.class = 'F' and värdedefinition.tabell = 'Föremål' and värdedefinition.kolumn = 'SamlOmr'
LEFT OUTER JOIN external_reference on Föremålsdata.lokalid = external_reference.objectid AND external_reference.class = 'L'
LEFT OUTER JOIN Invnr on Föremålsdata.invnr = Invnr.invnr
LEFT OUTER JOIN Rapport on Invnr.shm_dnr = Rapport.shm_dnr
LEFT OUTER JOIN Institution on Rapport.instid = Institution.instId
WHERE Föremålsdata.Fid = ${id}