﻿select distinct BildNamn.BildId as Identifier, ${fields} from BildNamn
inner join Namn on BildNamn.namnid = Namn.namnid
inner join NamnKategoriBild on BildNamn.Kategori = NamnKategoriBild.Id
left outer join NamnPlats on Namn.namnid = NamnPlats.namnid and NamnPlats.id in (select top 1 NamnPlats.id from NamnPlats where NamnPlats.namnid = Namn.namnid)
left outer join Plats on Plats.platsid = NamnPlats.platsid
left outer join Land on Plats.landid = Land.LandId
left outer join L1 on Plats.L1 = L1.id
left outer join L2 on Plats.L2 = L2.id and Plats.L1 = L2.L1
where BildNamn.BildId in (${headers}) and (BildNamn.kategori = 'P' or BildNamn.kategori = 'G' or BildNamn.kategori = 'M')