﻿select COUNT(distinct Identifier) as count from (
	select distinct
		Bilder.BildId as Identifier,
		case when Bilder.ChDt is not null then Bilder.ChDt else case when Bilder.regdatum is null then '1987-01-01' else Bilder.regdatum end end as DateStamp,
		NULL as Status
	from Bilder
	inner join Ex on Bilder.BildId = Ex.BildId and Ex.ExemplarId in (select top 1 Ex.ExemplarId from Ex where Ex.BildId = Bilder.BildId order by prio)
	inner join Ex as OriginalEx on Bilder.BildId = OriginalEx.BildId and OriginalEx.ExemplarId in (select top 1 Ex.ExemplarId from Ex where Ex.BildId = Bilder.BildId and Ex.Ursprung IS NULL order by prio)
	left outer join SAB on SAB.SABkod = Bilder.Motivgrupp
	where Bilder.webKlar = 1
) x where ${conds}