﻿select ItemClassNames.Identifier as Identifier, ${fields} from
(select
	RTRIM(VASA.ID) as Identifier,
	RTRIM(VASA.SPECIFIKA) as Value
from VASA
where CHARINDEX(':', VASA.SPECIFIKA) = 0 and RTRIM(VASA.ID) in (${headers})
union
select
	RTRIM(VASA.ID) as Identifier,
	SUBSTRING(VASA.SPECIFIKA, 0, CHARINDEX(':', VASA.SPECIFIKA)) as Value
from VASA
where CHARINDEX(':', VASA.SPECIFIKA) > 0
union
select
	RTRIM(VASA.ID) as Identifier,
	SUBSTRING(
		VASA.SPECIFIKA,
		CHARINDEX(':', VASA.SPECIFIKA) + 1,
		CHARINDEX(':', VASA.SPECIFIKA, CHARINDEX(':', VASA.SPECIFIKA) + 1) -
			CHARINDEX(':', VASA.SPECIFIKA) -
			1
	) as Value
from VASA
where CHARINDEX(':', VASA.SPECIFIKA, CHARINDEX(':', VASA.SPECIFIKA) + 1) > 0 and RTRIM(VASA.ID) in (${headers})
union
select
	RTRIM(VASA.ID) as Identifier,
	SUBSTRING(
		VASA.SPECIFIKA,
		CHARINDEX(':', VASA.SPECIFIKA, CHARINDEX(':', VASA.SPECIFIKA) + 1) + 1,
		CHARINDEX(':', VASA.SPECIFIKA, CHARINDEX(':', VASA.SPECIFIKA, CHARINDEX(':', VASA.SPECIFIKA) + 1) + 1) -
			CHARINDEX(':', VASA.SPECIFIKA, CHARINDEX(':', VASA.SPECIFIKA) + 1) - 1)
		as Value
from VASA
where CHARINDEX(':', VASA.SPECIFIKA, CHARINDEX(':', VASA.SPECIFIKA, CHARINDEX(':', VASA.SPECIFIKA) + 1) + 1) > 0 and RTRIM(VASA.ID) in (${headers})
union
select
	RTRIM(VASA.ID) as Identifier,
	SUBSTRING(
		VASA.SPECIFIKA,
		CHARINDEX(':', VASA.SPECIFIKA, CHARINDEX(':', VASA.SPECIFIKA) + 1) + 1,
		LEN(VASA.SPECIFIKA))
		as Value
from VASA
where
	CHARINDEX(':', VASA.SPECIFIKA, CHARINDEX(':', VASA.SPECIFIKA, CHARINDEX(':', VASA.SPECIFIKA) + 1) + 1) = 0 and
	CHARINDEX(':', VASA.SPECIFIKA, CHARINDEX(':', VASA.SPECIFIKA) + 1) > 0 and RTRIM(VASA.ID) in (${headers})
union
select
	RTRIM(VASA.ID) as Identifier,
	RTRIM(PICKLIST.PICK_VALUE) as Value
from VASA
inner join PICKLIST on PICKLIST.PICK_ID = VASA.SPECIFIKA_ID
where RTRIM(VASA.ID) in (${headers})
) ItemClassNames