﻿select ItemDescriptions.Identifier as Identifier, ${fields} from
(select RTRIM(VASA.ID) as Identifier, 'Beskrivning' as Label, convert(varchar(max), VASA.BESKRIVNI) as Description from VASA
where convert(varchar, VASA.BESKRIVNI) <> '' and RTRIM(VASA.ID) in (${headers})
union
select RTRIM(VASA.ID) as Identifier, 'Kommentar' as Label, convert(varchar(max), VASA.KOMMENTAR) as Description from VASA
where convert(varchar, VASA.KOMMENTAR) <> '' and RTRIM(VASA.ID) in (${headers})
union
select RTRIM(VASA.ID) as Identifier, 'Description' as Label, convert(varchar(max), VASA.DESCRIPTI) + '@eng' as Description from VASA
where convert(varchar, VASA.DESCRIPTI) <> '' and RTRIM(VASA.ID) in (${headers})
union
select RTRIM(VASA.ID) as Identifier, 'Comment' as Label, convert(varchar(max), VASA.COMMENTS) + '@eng' as Description from VASA
where convert(varchar, VASA.COMMENTS) <> '' and RTRIM(VASA.ID) in (${headers})) ItemDescriptions