﻿using System.Collections.Generic;
using ServiceCore.ServiceComponents;

namespace ServiceCore.ServiceComponents
{
	public class Output {
		public string Template { get; set; }
		public Dictionary<string, DataTemplate> DataTemplates { get; private set; }
		public Dictionary<string, ConditionalData> ConditionalData { get; private set; }
		public Dictionary<string, DataTranslation> DataTranslations { get; private set; }
		public Dictionary<string, MaxValue> MaxValues { get; private set; }
		public Dictionary<string, MinValue> MinValues { get; private set; }

		public Output() {
			DataTemplates = new Dictionary<string, DataTemplate>();
			ConditionalData = new Dictionary<string, ConditionalData>();
			DataTranslations = new Dictionary<string, DataTranslation>();
			MaxValues = new Dictionary<string, MaxValue>();
			MinValues = new Dictionary<string, MinValue>();
		}
	}
}