﻿using System.Collections.Generic;
using System.Diagnostics;
using ServiceCore.ServiceComponents;

namespace ServiceCore.ServiceComponents
{
	public class SQLStatement {
		public string Name { get; private set; }
		public string Template { get; private set; }
		public List<Parameter> Parameters { get; private set; }

		public SQLStatement(string name, string template) {
			Template = template;
			Name = name;
			Parameters = new List<Parameter>();
#if DEBUG
			//Debug.WriteLine(string.Format("Stored Procedure: {0}", name));
#endif
		}
	}
}